请选择 进入手机版 | 继续访问电脑版

在线
客服

芸众在线客服服务时间: 工作日9:00-18:00(其余时间请加微信)

选择下列客服马上在线沟通:

快速
发帖

客服
热线

02029887215
7*24小时客服服务热线

关注
微信

添加微信好友
顶部

[部署/环境配置] 芸众商城部署服务器环境要求

开发 开发 6593 人阅读 | 1 人回复

发表于 2019-8-31 23:07:01 | 显示全部楼层 |阅读模式

环境要求:推荐阿里云或腾讯云服务器;建议提供纯净服务器安装芸众提供的原生编译环境,若是自行安装环境必须使用宝塔环境!如其他环境需自行处理。
硬件要求:
不支持使用vps和docker的容器,这两种方式安装环境和商城
不支持使用vps和docker的容器,这两种方式安装环境和商城
不支持使用vps和docker的容器,这两种方式安装环境和商城

部署前不能接任何VPN、防火墙、xx盾、沙箱等等干扰部署的东西,部署完成双方验收后,再接上VPN、防火墙、xx盾、沙箱(接上后有什么问题自行解决.).若非要使用以上套件,请自行安装宝塔后,一键部署商城

2核 4G内存 带宽20M或以上(峰值、固定不限)。
访问一次商城前端页面需要大概1M(不算图片、接口返回数据),具体计算方式请自行学习网络基础知识.

系统要求:
全新服务器安装,,使用芸众环境必须使用centos8.x公共镜像
已有资料的的服务器系统必须centos7.x
公共镜像Centos7|8.X最新版(为避免商城运营后产生不必要的问题,请确保好系统是公共镜像centos7|8.X(不要用宝塔的镜像,配置队列会出问题.)最新版。若不是的,请自行备份资料,更换系统。Note:操作系统无法升级),

软件环境要求:
如已有环境,请看下面软件要求,看自己的环境是否匹配,不匹配的请自行处理。
web:nginx(必须支持HTTP2,SSL)
Php7.2.2x
[PHP Modules]
bcmath,Core,ctype,curl,date,dom,ereg,exif,fileinfo,filter,ftp,gd,gettext,
hash,iconv,intl,json,libxml,mbstring,mcrypt,mhash,mysql,mysqli,mysqlnd
openssl,pcntl,pcre,PDO,pdo_mysql,pdo_sqlite,Phar,posix,redis,Reflection,
session,shmop,SimpleXML,soap,sockets,SPL,sqlite3,standard,sysvsem,
tokenizer,xml,xmlreader,xmlrpc,xmlwriter,xsl,zip,zlib,redis,mongidb
php function不能禁用proc_xxx,putenv,pcntl_signal,pcntl_fork,pcntl_wait,pcntl_alarm,pcntl_signal_dispatch,stream_socket_server
数据库mysql 5.6或以上(数据库存储引擎必须支持Innodb)
确保curl(7.6x)和openssl-1.1.1(因官方不再支持1.0.2版本,所以建议安装1.1.1版本,新安装不要再使用1.0.2), 详情看官网
php必须配置ca根证书, 否则对接微信、支付等等多个地方报错.

⚠️php必须没有任何错误,如下图: (请根据自己的php安装环境,执行php是否有报错,下图的情况是正常.如执行后有任何字符出现,均不正常.请找贵公司的运维人员先处理好再部署.)

检查确保所有都符合要求后,可以执行一键安装商城

注意⚠️:
1.多站点使用商城队列必须把redis实例或slot(库)划分开.  
2.不能随意更改hostname,如更改请重启队列.

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

回答|共 1 个

wangker

发表于 2020-11-19 18:19:00 | 显示全部楼层

忘记密码 怎么贝娜
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

admin

发表主题 0

热门推荐